# Copyright (C) 2019 Martin Schwan <m.schwan@phytec.de>
# Released under the MIT license (see COPYING.MIT for the terms)

SUMMARY = "Custom Vision demo application using Qt"
HOMEPAGE = "https://www.phytec.de"

LICENSE = "Apache-2.0"
LIC_FILES_CHKSUM = "file://../../../LICENSE;md5=2ee41112a44fe7014dce33e26468ba93"

DEPENDS = " \
    qtbase \
    qtmultimedia \
    qtdeclarative \
"

SRC_URI = " \
    git://git.phytec.de/aidemo-customvision \
    file://${PN}.service \
"
SRCREV = "fba9a39303b5c43c7be1eb3876c7e6c34bc3e87e"
S = "${WORKDIR}/git/modules/demo/src"

inherit qmake5 systemd

SYSTEMD_SERVICE_${PN} = "${PN}.service"

do_install_append () {
    install -d ${D}${systemd_system_unitdir}
    install -m 0644 ${WORKDIR}/${PN}.service ${D}${systemd_system_unitdir}
}

RDEPENDS_${PN} += " \
    qtbase \
    qtmultimedia-qmlplugins \
    qtquickcontrols2-qmlplugins \
    gstreamer1.0-plugins-bad \
"
FILES_${PN} = " \
    ${bindir} \
    ${systemd_system_unitdir} \
"
